Bug 967482 - Review Request: tcpcopy - An online request replication tool
Review Request: tcpcopy - An online request replication tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 05:07 EDT by Christopher Meng
Modified: 2014-02-14 08:30 EST (History)
6 users (show)

See Also:
Fixed In Version: tcpcopy-0.8.0-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 21:33:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-27 05:07:01 EDT
Spec URL: http://cicku.me/tcpcopy.spec
SRPM URL: http://cicku.me/tcpcopy-0.7.0-1.fc20.src.rpm

Description: It can help you find bugs without deploying your server software on your 
production servers. It can also be used to do smoke testing.
For example, when you want to migrate from Apache to Nginx, tcpcopy can help 
you test it. Apache is running online, while tcpcopy can copy the TCP flows 
from Apache to Nginx. To Nginx, the TCP flows are just forwarding to it. 
This will not affect Apache at all except cost a little network 
bandwidth and CPU load.

Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-05-30 16:16:19 EDT
"3 clause BSD" as a license declaration is incorrect. Just use "BSD".

NEWS and ChangeLog are empty, so you can safely drop them.
Comment 2 Christopher Meng 2013-05-30 23:26:54 EDT
(In reply to Mario Blättermann from comment #1)
> "3 clause BSD" as a license declaration is incorrect. Just use "BSD".
> 
> NEWS and ChangeLog are empty, so you can safely drop them.

Fixed.

NEW Spec URL: http://cicku.me/tcpcopy.spec
NEW SRPM URL: http://cicku.me/tcpcopy-0.7.0-2.fc20.src.rpm
Comment 3 Douglas Schilling Landgraf 2013-06-06 21:47:12 EDT
(In reply to Christopher Meng from comment #2)
> (In reply to Mario Blättermann from comment #1)
> > "3 clause BSD" as a license declaration is incorrect. Just use "BSD".
> > 
> > NEWS and ChangeLog are empty, so you can safely drop them.
> 
> Fixed.
> 
> NEW Spec URL: http://cicku.me/tcpcopy.spec
> NEW SRPM URL: http://cicku.me/tcpcopy-0.7.0-2.fc20.src.rpm

Christopher, COPYING file is empty as well. Can you please remove and notify upstream about these empty files? 

Thanks
Douglas
Comment 4 Robin Lee 2013-06-08 02:00:51 EDT
tcpcopy 0.8.0 is available.
Comment 5 Christopher Meng 2013-06-08 04:19:51 EDT
(In reply to Robin Lee from comment #4)
> tcpcopy 0.8.0 is available.

I've already known this.

Will update later.
Comment 6 Christopher Meng 2013-06-08 06:06:13 EDT
NEW SPEC URL: http://cicku.me/tcpcopy.spec
NEW SRPM URL: http://cicku.me/tcpcopy-0.8.0-1.fc20.src.rpm
Comment 7 Douglas Schilling Landgraf 2013-06-08 13:36:34 EDT
Hi Christopher,

I can see some sources as GPLv2 and no LICENSE file for GPLv2.
I would suggest you to change the License to BSD and GPLv2. Can you please double check?

GPL (v2)
--------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/tcpcopy-0.8.0/src/mysql/m_string.h
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/tcpcopy-0.8.0/src/mysql/my_compiler.h
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/tcpcopy-0.8.0/src/mysql/my_config.h
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/tcpcopy-0.8.0/src/mysql/sha1.c
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/tcpcopy-0.8.0/src/mysql/sha1.h

GPL (v2) (with incorrect FSF address)
-------------------------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/tcpcopy-0.8.0/src/mysql/my_attribute.h
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/tcpcopy-0.8.0/src/mysql/my_dbug.h
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/tcpcopy-0.8.0/src/mysql/my_global.h
Comment 8 Christopher Meng 2013-06-13 02:46:36 EDT
NEW SPEC URL: http://cicku.me/tcpcopy.spec
NEW SRPM URL: http://cicku.me/tcpcopy-0.8.0-2.fc20.src.rpm
Comment 9 Eduardo Echeverria 2013-06-20 00:50:59 EDT
- Hi @cicku, the package don't need the BR autoconf
- Please do more verbose the build, I think that the package don't honors the compilers flags
Comment 10 Christopher Meng 2013-06-20 21:23:39 EDT
NEW SPEC URL: http://cicku.me/tcpcopy.spec
NEW SRPM URL: http://cicku.me/tcpcopy-0.8.0-3.fc20.src.rpm
Comment 11 Douglas Schilling Landgraf 2013-06-20 22:19:03 EDT
Hi,

Eduardo, thanks for your comment.
Christopher, below the review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 46 files have unknown license. Detailed output of
     licensecheck in /home/fedora/967482-tcpcopy/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.
===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tcpcopy-0.8.0-3.fc18.x86_64.rpm
tcpcopy.x86_64: W: no-manual-page-for-binary intercept
tcpcopy.x86_64: W: no-manual-page-for-binary tcpcopy
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tcpcopy
tcpcopy.x86_64: W: no-manual-page-for-binary intercept
tcpcopy.x86_64: W: no-manual-page-for-binary tcpcopy
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'
Requires
--------
tcpcopy (rpmlib, GLIBC filtered):
    iptables
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libnetfilter_queue.so.1()(64bit)
    libnfnetlink.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
tcpcopy:
    tcpcopy
    tcpcopy(x86-64)



Source checksums
----------------
https://tcpcopy.googlecode.com/files/fedora_tcpcopy-0.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : 25f5a5fe81e587d916e271228418212e944ac225eeba08f30f75f0fd3ef03fcd
  CHECKSUM(SHA256) upstream package : 25f5a5fe81e587d916e271228418212e944ac225eeba08f30f75f0fd3ef03fcd


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 967482

Final status: APPROVED
Comment 12 Christopher Meng 2013-06-20 22:45:38 EDT
New Package SCM Request
=======================
Package Name: tcpcopy
Short Description:  An online request replication tool
Owners: cicku
Branches: f18 f19 el6
InitialCC:
Comment 13 Gwyn Ciesla 2013-06-21 08:01:18 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2013-06-23 23:29:15 EDT
tcpcopy-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tcpcopy-0.8.0-3.fc19
Comment 15 Fedora Update System 2013-06-23 23:51:55 EDT
tcpcopy-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tcpcopy-0.8.0-3.fc18
Comment 16 Fedora Update System 2013-06-24 01:51:10 EDT
tcpcopy-0.8.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tcpcopy-0.8.0-3.el6
Comment 17 Fedora Update System 2013-06-24 14:49:10 EDT
tcpcopy-0.8.0-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 18 Fedora Update System 2013-07-02 21:33:00 EDT
tcpcopy-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 19 Fedora Update System 2013-07-02 21:39:44 EDT
tcpcopy-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 20 Fedora Update System 2013-07-10 18:03:47 EDT
tcpcopy-0.8.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 21 Christopher Meng 2014-02-13 21:18:13 EST
Package Change Request
======================
Package Name: tcpcopy
New Branches: epel7
Owners: cicku
Comment 22 Gwyn Ciesla 2014-02-14 08:30:07 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.